Bug 446760 - XDS List View Support
XDS List View Support
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 17:53 EDT by Bob Appleyard
Modified: 2015-03-03 17:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:20:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to support XDS in list view mode (from GNOME bug) (6.97 KB, patch)
2008-05-15 17:53 EDT, Bob Appleyard
no flags Details | Diff
Patch to package spec file (856 bytes, patch)
2008-05-15 17:54 EDT, Bob Appleyard
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 171655 None None None Never

  None (edit)
Description Bob Appleyard 2008-05-15 17:53:21 EDT
Description of problem:

Dragging and dropping from an application supporting XDS (such as File Roller)
doesn't work when Nautilus is in List View mode.

Version-Release number of selected component (if applicable): 2.22.2


How reproducible:
Always.

Steps to Reproduce:
1. Open Nautilus window
2. View->View As List
3. Open an archive in File Roller
4. Try to drag some of the contents from File Roller to the Nautilus window.
  
Actual results:
Nothing

Expected results:
Files extracted to the open folder.

Additional info:
I have linked to the bug on the GNOME bug tracker. I have attached the patch
given there, and a patch to the spec file for the above release.
Comment 1 Bob Appleyard 2008-05-15 17:53:21 EDT
Created attachment 305547 [details]
Patch to support XDS in list view mode (from GNOME bug)
Comment 2 Bob Appleyard 2008-05-15 17:54:13 EDT
Created attachment 305548 [details]
Patch to package spec file
Comment 3 Tomáš Bžatek 2008-05-19 05:44:23 EDT
Thanks for the tip, this is really useful feature, indeed.
I've included the patch in nautilus-2.23.2-2.fc10
Fedora 9 is already out and inclusion in update release needs to be discussed.
Comment 4 Bug Zapper 2009-06-09 20:52:42 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-15 04:20:06 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.